RegionAttributesScope (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Enum RegionAttributesScope

- java.lang.Object
- - java.lang.Enum<RegionAttributesScope>
  - - org.apache.geode.cache.configuration.RegionAttributesScope

- All Implemented Interfaces:
    Serializable, Comparable<RegionAttributesScope>

      @Experimental
      public enum RegionAttributesScope
      extends Enum<RegionAttributesScope>

  Java class for region-attributesScope.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="region-attributesScope">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="distributed-ack"/>
           <enumeration value="distributed-no-ack"/>
           <enumeration value="global"/>
           <enumeration value="local"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISTRIBUTED_ACK`
    `DISTRIBUTED_NO_ACK`
    `GLOBAL`
    `LOCAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegionAttributesScope` | `fromValue(String v)`
    `String` | `value()`
    `static RegionAttributesScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RegionAttributesScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISTRIBUTED_ACK

          public static final RegionAttributesScope DISTRIBUTED_ACK

    - #### DISTRIBUTED_NO_ACK

          public static final RegionAttributesScope DISTRIBUTED_NO_ACK

    - #### GLOBAL

          public static final RegionAttributesScope GLOBAL

    - #### LOCAL

          public static final RegionAttributesScope LOCAL

  - ### Method Detail

    - #### values

          public static RegionAttributesScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegionAttributesScope c : RegionAttributesScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegionAttributesScope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static RegionAttributesScope fromValue(String v)